Download it now!
Bug 91634 - FILESAVE : XLSX Image hyperlink is not exported after roundtrip.
Summary: FILESAVE : XLSX Image hyperlink is not exported after roundtrip.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Calc-Images XLSX-Hyperlink Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2015-05-26 08:52 UTC by Yogesh Bharate
Modified: 2019-05-14 12:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
image-hyperlink.xlsx (17.45 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-05-26 08:52 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-05-26 08:52:51 UTC
Created attachment 116042 [details]
image-hyperlink.xlsx

XLSX contains image with hyperlink is attached to it.

Problem Description:
1. Open attached document in CALC.
2. Save as xlsx again.
3. Open the roundtrip file in excel.

Expected output:
image Hyperlink is working.

Actual output:
image hyperlink is not working.
Comment 1 A (Andy) 2015-06-11 18:00:53 UTC
Reproducible with LO 4.4.3.2, Win 8.1
Comment 2 QA Administrators 2018-08-22 02:36:49 UTC Comment hidden (obsolete)
Comment 3 Roman Kuznetsov 2018-10-12 13:12:15 UTC
still repro in

Version: 6.2.0.0.alpha0+
Build ID: d9ad59da50c1172fe98f94370221c9c1b688200a
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-08_23:34:44
Locale: ru-RU (ru_RU); Calc: threaded
Comment 4 Commit Notification 2019-04-06 07:28:12 UTC
tundet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6a9cf9ba2d37fee9b7c2f190b347e0d7c4a2676a%5E%21

tdf#91634 XLSX export: fix hyperlink inserted to image

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2019-04-07 09:13:36 UTC
I confirm the fix with the commit.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: e967aea2d8cc4f9fc608cb726cb474c184fb61de
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 7 April 2019
Comment 6 Gabor Kelemen 2019-05-14 12:51:51 UTC
Verified per comment #5 - thanks Tünde!